import java.util.Objects;

/**
 * This class represents a simulation for a shape with uncountable sides (Circle)
 */
public class Circle extends Shape {
    private double radius;

    /**
     * Constructor for this class.
     *
     * @param radius radius of circle
     */
    public Circle(double radius) {
        this.radius = radius;
    }

    @Override
    public double calculatePerimeter() {
        return 2 * 3.14 * this.radius;
    }

    @Override
    public double calculateArea() {
        return this.radius * this.radius * 3.14;
    }

    @Override
    public void draw() {
        System.out.println("Type: Circle\nPerimeter: " + this.calculatePerimeter()+ "\nArea: "
                + this.calculateArea());
    }

    @Override
    public String toString() {
        return "Type: Circle\nRadius = " + this.radius;
    }

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        if (!super.equals(object)) return false;
        Circle circle = (Circle) object;
        return Double.compare(circle.radius, radius) == 0;
    }

    @Override
    public int hashCode() {
        return Objects.hash(radius);
    }
}