import java.util.ArrayList;

/**
 * This class is an abstract class that represents a shape with multiple sides
 * Polygons will inherit this
 * Thus we imply all methods that are in common grounds through polygons
 */
public abstract class Polygon extends Shape {
    private ArrayList<Double> sides;

    /**
     * Constructor for polygon class
     * @param sides The sides of a polygon
     */
    public Polygon(double ... sides) {
        this.sides = new ArrayList<>();
        for (double side : sides) {
            this.sides.add(side);
        }
    }

    /**
     * Constructor for polygon class
     * @param sides The sides of a polygon
     */
    public Polygon(ArrayList<Double> sides) {
        this.sides = sides;
    }

    @Override
    public double calculatePerimeter() {
        double perimeter=0;
        for (double side: sides)
            perimeter=perimeter+side;
        return perimeter;
    }

    /**
     * @return Sides of Polygon
     */
    public ArrayList<Double> getSides() {
        return sides;
    }
}
