/**
 * This class represents a simulation for a polygon with 3 sides
 */
public class Triangle extends Polygon {

    /**
     * Constructor for the class with multiple args
     *
     * @param sides multiple sides for this triangle
     */
    public Triangle(double... sides) {
        super(sides);
    }

    @Override
    public double calculateArea() {

        double a = super.getSides().get(0);
        double b = super.getSides().get(1);
        double c = super.getSides().get(2);

        double s = this.calculatePerimeter() / 2;
        return Math.sqrt(s * (s - a) * (s - b) * (s - c));
    }

    @Override
    public void draw() {
        System.out.println("Type: Triangle\nPerimeter: " + this.calculatePerimeter()+ "\nArea: "
                + this.calculateArea());
    }

    @Override
    public String toString() {
        return "Type: Triangle with sides: "+super.getSides();
    }

    /**
     * @return boolean value of being equilateral
     */
    public boolean isEquilateral() {
        double a = super.getSides().get(0);
        double b = super.getSides().get(1);
        double c = super.getSides().get(2);
        return (a == b && b == c);
    }
}